Package org.drinkless.tdlib

# Class TdApi.InlineQueryResultsButton

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InlineQueryResultsButton

Enclosing class:
  `TdApi`

public static class TdApi.InlineQueryResultsButton extends TdApi.Object
Represents a button to be shown above inline query results.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `text`
  The text of the button.
  `TdApi.InlineQueryResultsButtonType`
  `type`
  Type of the button.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InlineQueryResultsButton()`
  Represents a button to be shown above inline query results.
  `InlineQueryResultsButton(String text, TdApi.InlineQueryResultsButtonType type)`
  Represents a button to be shown above inline query results.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### text

    public String text
    The text of the button.

  - ### type

    public TdApi.InlineQueryResultsButtonType type
    Type of the button.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InlineQueryResultsButton

    public InlineQueryResultsButton()
    Represents a button to be shown above inline query results.

  - ### InlineQueryResultsButton

    public InlineQueryResultsButton(String text, TdApi.InlineQueryResultsButtonType type)
    Represents a button to be shown above inline query results.
    Parameters:
      `text` - The text of the button.
      `type` - Type of the button.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR